#custom find deltachat
set(DeltaDIR "/home/amneiht/app/workspace/lib/delta_chat/arm64")

# cmake_policy(SET CMP0074 OLD)
# find_path(Deltachat_INCLUDE_DIR NAMES deltachat.h PATHS ${DeltaDIR} PATH_SUFFIXES include NO_DEFAULT_PATH )
# find_library(Deltachat_LIBS  NAMES deltachat PATHS  ${DeltaDIR}  PATH_SUFFIXES lib )

set(Deltachat_INCLUDE_DIR  ${DeltaDIR}/include )
set(Deltachat_LIBS ${DeltaDIR}/lib/libdeltachat.so )
include(FindPackageHandleStandardArgs)

find_package_handle_standard_args(Deltachat  DEFAULT_MSG Deltachat_INCLUDE_DIR Deltachat_LIBS)
if ( Deltachat_FOUND )
    add_library(Deltachat INTERFACE IMPORTED)
    target_include_directories(Deltachat INTERFACE ${Deltachat_INCLUDE_DIR})
    target_link_libraries(Deltachat INTERFACE ${Deltachat_LIBS} dl pthread m)
    message("Set config")
else()
    message("No deltachat found")
endif()
