import QtQuick 2.15
import DCStyle 1.0
// todo : add to style

Rectangle {
    required property int size
    required property string dptext
    property color textColor: ChatStyle.icon.tcolor
    width: size
    height: size

    radius: 0.5 * width
    color: ChatStyle.icon.bgcolor
    Text {
        id: dp
        anchors.fill: parent
        color: textColor
        text: dptext.charAt(0)
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter

        font {
            pixelSize: size / 2
            // bold : true
            capitalization : Font.AllUppercase
        }
    }

}
