import QtQuick 2.15
import QtQuick.Controls 2.2
import QtQuick.Layouts 1.12

import Dcchat 1.0
Rectangle {

    width: 400
    height: 200
    required property  string $name
    required property  int $id

    ColumnLayout{
        anchors.fill: parent
        Text {
            Layout.fillHeight: true
            Layout.fillWidth: true
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: 20
            text: qsTr("Are you soure to remove contact ") + $name
        }
        RowLayout {
            Layout.fillWidth: true
            Button {
                Layout.fillWidth: true
                text: qsTr("Yes")
                onClicked: {
                    ChatMediator.removeContact($id)
                    chatlist.closeView()
                }
            }
            Button {
                Layout.fillWidth: true
                text: qsTr("No")
                onClicked: {
                    chatlist.closeView()
                }
            }
        }
    }
}
