import QtQuick 2.15
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.3

import Dcchat 1.0
Rectangle {
    width:250
    height: 100

    required property int chat_id
    required property int contact_id
    ColumnLayout {
        anchors.fill: parent
        Text {
            Layout.fillWidth: true
            text: qsTr("Are you sure")
            horizontalAlignment: Text.AlignHCenter
        }
        RowLayout {
            Layout.fillWidth: true
            Button {
                Layout.fillWidth: true
                text:qsTr("Yes")
                onClicked: {
                    clearContact()
                    // mess_area.closeView()
                }
            }
            Button {
                Layout.fillWidth: true
                text:qsTr("No")
                onClicked: {
                    // signal
                    mess_area.closeView()
                }
            }
        }
    }
    function clearContact(){

        ChatMediator.removeContactFromChat(chat_id , contact_id);
    }
}
