import QtQuick 2.15
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3
import Dcchat 1.0

import DCStyle 1.0

Rectangle {
    id: contact
    width: 500
    color: "white"
    height: 500
    radius: 5
    ChatContact {
        id : model
    }
    ColumnLayout {
        id: col
        anchors.fill: parent
        spacing: 0
        Rectangle {
            color: "white"
            Layout.fillWidth: true
            height: _text.height
            z:2
            RowLayout {

                Layout.fillWidth: true
                TextIcon{
                    id : _text
                    size: 30
                    dptext:  model.chatName()
                }

                Text {
                    Layout.fillWidth: true
                    text: model.chatName()
                    width: 30
                    verticalAlignment: Text.AlignVCenter
                }
            }
        }
        Rectangle {
            z:1
            Layout.fillWidth: true
            height: 3
            color: "black"
        }
        ListView {
            id: view
            Layout.fillWidth: true
            Layout.fillHeight: true
            model: model
            delegate: ContactItem {
                width: contact.width
            }
        }

    }
    Component.onCompleted: {
        var pad =0;
        if(view.contentHeight < view.height)
        {
            pad = view.height - view.contentHeight
            view.height =  view.contentHeight
        }
        height = height - pad
    }

}
