#ifndef CONTACT_H
#define CONTACT_H

#include <QObject>
#include <deltachat.h>

namespace dc {
class Contact : public QObject
{
    Q_OBJECT
public:
    explicit Contact(dc_contact_t *contact);
    ~Contact();

    uint32_t getId();
    QString getAddr();
    QString getName();
    QString getDisplayName();
    QString getProfileImage();

private:
    dc_contact_t *m_contact{nullptr};
};
} // namespace dc

#endif // CONTACT_H
