#ifndef EVENT_H
#define EVENT_H

#include <QObject>
#include <deltachat.h>

namespace dc {
class Event : public QObject
{
    Q_OBJECT
    dc_event_t *m_event;

public:
    explicit Event(dc_event_t *event);
    ~Event();

    int getId();
    int getData1Int();
    int getData2Int();
    QString getData2Str();
    uint32_t getAccountId();
};

} // namespace dc

#endif // EVENT_H
