#ifndef EVENTEMITTER_H
#define EVENTEMITTER_H

#include <QObject>
#include <QSharedPointer>
#include <QThread>
#include <deltachat.h>

namespace dc {

class Event;

class EventEmitter : public QThread
{
    Q_OBJECT
private:
    dc_event_emitter_t *m_emiter;

public:
    explicit EventEmitter(dc_event_emitter_t *emiter);
    ~EventEmitter();

    void run();
signals:
    void gotEvent(QSharedPointer<Event> evt);
};

} // namespace dc

#endif // EVENTEMITTER_H
