#ifndef LOT_H
#define LOT_H

#include <QObject>
#include <deltachat.h>
namespace dc {
class Lot : public QObject
{
    Q_OBJECT
    dc_lot_t *m_lot{nullptr};

public:
    explicit Lot(dc_lot_t *lot);
    ~Lot();

    QString getText1() const;
    QString getText2() const;
    int getText1Meaning() const;
    int getState() const;
    uint32_t getId() const;
    int64_t getTimestamp() const;
};
} // namespace dc

#endif // LOT_H
