#ifndef CHATMEDIATOR_H
#define CHATMEDIATOR_H

#include <QObject>

// using for pass data in qml
class ChatMediator : public QObject {
    Q_OBJECT
private:
    uint32_t chat_id;
    uint32_t contact_id;
    QString qrCode;

public:
    explicit ChatMediator(QObject* parent = nullptr);

    Q_INVOKABLE void setChatId(int id);
    Q_INVOKABLE uint32_t getChatId();

    // for qt Code
    Q_INVOKABLE void createQrCode(uint32_t chat_id);
    Q_INVOKABLE QString getQrCode();
    Q_INVOKABLE void chatWithQrCode(const QString& qrcode);
    //
    Q_INVOKABLE void removeContact(int id);
    Q_INVOKABLE void removeContactFromChat(int chat_id, int contact_id);
};

#endif // CHATMEDIATOR_H
