#ifndef CHATPROXYMODEL_H
#define CHATPROXYMODEL_H

#include <QSortFilterProxyModel>

class ChatListModel;
class ChatProxyModel : public QSortFilterProxyModel {
    Q_OBJECT
private:
    QString filter = "";

public:
    ChatProxyModel(QObject* parent = nullptr);

    // QAbstractProxyModel interface
public:
    Q_INVOKABLE void setFilterString(const QString& filer);
    // QSortFilterProxyModel interface

protected:
    bool filterAcceptsRow(int source_row, const QModelIndex& source_parent) const;
    bool lessThan(const QModelIndex& source_left, const QModelIndex& source_right) const;
};

#endif // CHATPROXYMODEL_H
