#include "messagemodel.h"
#include "chatcore.h"
#include <QDebug>

MessageModel::MessageModel(QObject* parent)
    : QObject { parent }
{
    auto med = ChatCore::getMediator();
    // setId(med->getChatId());
}

MessageModel::~MessageModel()
{
}

void MessageModel::sendText(const QString& Text)
{
    if (m_chatId > 0) {
        auto ctx = dc::Account::getInstance()->getSelectedAccount();
        ctx->sendTextMessage(m_chatId, Text);
    }
}

int MessageModel::getChatId() const
{
    return m_chatId;
}

void MessageModel::setChatId(int newChatId)
{
    if (m_chatId == newChatId)
        return;
    m_chatId = newChatId;
    emit chatIdChanged();
}
