pragma Singleton
import QtQml 2.2
import QtQuick 2.15
import QtQuick.Controls 2.15

QtObject {

    property QtObject mess: QtObject {
        property color background: "lightgray"
        property QtObject incoming: QtObject {
            property color color: "lightgreen"
        }
        property QtObject outgoing: QtObject {
            property color color: "white"
        }
    }
    property QtObject user: QtObject {
        property color bg: "#f0fff0"
        property color banner: "darkseagreen"
        property color text: "#b0c4de"
    }
    property QtObject margin: QtObject {
        property int maxsize : 200
        property int border : 10
        property int padding : border * 2
    }
}
