import QtQuick 2.15
import QtQuick.Controls 2.0
import QtQuick.Layouts 1.3
Item {

    required property string $text
    height: parent.height

    RowLayout {
        anchors.fill: parent
        TextIcon {
            id: icon
            y:5
            size: parent.height - 10
            dptext: $text

        }
        Text {
            Layout.fillWidth:  true
            height:  parent.height
            verticalAlignment: Text.AlignVCenter
            // horizontalAlignment: Text.AlignHCenter
            text: $text
            elide: Text.ElideRight
            // font.pixelSize: height/3

        }
    }

    /* old code
        TextIcon {
            id: icon
            y:5
            size: parent.height - 10
            dptext: $text
            anchors.left: parent.left
        }
        Text {
            anchors{
                right: parent.right
            }
            height:  parent.height
            width: parent.width - icon.width -3
            verticalAlignment: Text.AlignVCenter
            // horizontalAlignment: Text.AlignHCenter
            text: $text
            elide: Text.ElideRight
            font.pixelSize: height/3

        }
    //*/
}
