import QtQuick 2.15
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.3
import DCStyle 1.0

Rectangle {

    id: _listitem
    required property string $name
    required property int $chatid
    required property int $count
    Layout.fillWidth: true
    height: ChatStyle.list.viewWidth
    color: $chatid == chatlist.cindex ? ChatStyle.list.scolor : ChatStyle.list.ucolor

    RowLayout {
        anchors.fill: parent
        // TextIcon {
        //     size: parent.height
        //     dptext: $name
        // }
        // Text {
        //     id :stext
        //     Layout.fillWidth: true
        //     Layout.fillHeight: true
        //     verticalAlignment : Text.AlignVCenter
        //     text: $name
        //     // clip text
        //     elide: Text.ElideRight
        // }
        ContactIcon {
            Layout.fillWidth:  true
            $text : $name
        }
        Item {
            id: noti
            width: _listitem.height / 2
            Layout.fillHeight: true
            // dont show
            visible: $count > 0 &&  $chatid !== chatlist.cindex
            Rectangle {
                anchors.bottom: parent.bottom
                anchors.left: parent.left
                width: parent.width
                height: width
                radius: width *0.5
                color: ChatStyle.list.scolor
                Text {
                    anchors.fill: parent
                    text: $count > 10 ? "9+" : $count
                    verticalAlignment : Text.AlignVCenter
                    horizontalAlignment:  Text.AlignHCenter
                }
            }
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            list.idChange($chatid)
            noti.visible = false

        }
    }
    // Component.onCompleted:{
    //     stext.text = $name
    // }
}
