import QtQuick 2.15
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3
import DCStyle 1.0

import Dcchat 1.0
import "MessPopup.js" as MP
Rectangle {
    id : ct
    height: 50
    required property string $name
    required property int $id
    required property int chat_id
    // mess_area.model : call model from parent
    RowLayout {
        id: row
        width: parent.width
        ContactIcon {
            $text : $name
            Layout.fillWidth:  true
            height: ct.height
        }

        Button {
            // background: Rectangle {
            //     Layout.fillHeight: true
            //     radius: 4
            //     color: "lightgray"
            // }
            visible: $id != 1 && mess_area.model.isGroup()
            id:btn
            text: qsTr("rm")

            onClicked: {
                // ChatMediator.setContactId($id);
                var dir = MP.build_dir("RemovePopup.qml")
                console.debug(" chat id " + chat_id)
                mess_area.showView(dir,{ contact_id:$id , chat_id : chat_id })
            }
        }
    }
}
