import QtQuick 2.15
import QtQuick.Layouts 1.2
import QtQuick.Controls 2.0
import Dcchat 1.0
Rectangle {
    width: 300
    height: 100
    required property string stext
    required property string qrcode
    ColumnLayout {
        anchors.fill: parent
        Text {
            id: name
            text: stext
            Layout.fillWidth: true
            Layout.fillHeight: true
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: 20
        }
        RowLayout {
            Layout.fillWidth: true
            implicitHeight: btn.implicitHeight
            Button {
                id: btn
                text: qsTr("Yes")
                onClicked: {
                    ChatMediator.chatWithQrCode(qrcode)
                    mess_area.closeView()
                }
            }
            Item {
                Layout.fillWidth: true
            }
            Button {
                text: qsTr("No")
                onClicked: {
                    mess_area.closeView()
                }
            }
        }
    }
}
