#ifndef ACC_H
#define ACC_H

#include <QObject>
#include <QTextStream>

class Task;
class Acc : public QObject
{
    Q_OBJECT
private:
    QTextStream ts;

public:
    explicit Acc(Task *parent);

public slots:
    void proccsesInput(const QStringList &qm);

private:
    void showUser();
    void addUser(const QStringList &qm);
    void rmUser(const QStringList &qm);
    void showHelp();
    void useUser(const QStringList &qm);
    void showQr(const QString &id);
};

#endif // ACC_H
