#ifndef CHATUI_H
#define CHATUI_H

#include <QObject>
#include <QTextStream>
class Task;
class ChatUi : public QObject
{
    Q_OBJECT
    QTextStream ts;

public:
    explicit ChatUi(Task *parent);

public slots:
    void proccsesInput(const QStringList &qm);

private:
    void showHelp();
    void showChat();
    void createWithContact(const QStringList &qm);
    void createGroup(const QStringList &qm);
    void chatRemove(const QString &id);
    void addUser(const QStringList &qm);
    void rmUser(const QStringList &qm);
    void chatSend(const QStringList &qm);
    void listMess(const QString &id);
};

#endif // CHATUI_H
