#ifndef CONTACTUI_H
#define CONTACTUI_H

#include <QObject>
#include <QTextStream>
class Task;
class ContactUi : public QObject
{
    Q_OBJECT
private:
    QTextStream ts;

public:
    explicit ContactUi(Task *parent);

public slots:
    void proccsesInput(const QStringList &qm);

private:
    void showHelp();
    void listContact();
    void addContact(const QString &name, const QString &addr);
    void removeContact(const QString &id);
};

#endif // CONTACTUI_H
