#ifndef CHATLIST_H
#define CHATLIST_H

#include <QObject>
#include <deltachat.h>
#include <memory>

namespace dc {
class Lot;

class Chatlist : public QObject
{
    Q_OBJECT
public:
    explicit Chatlist(dc_chatlist_t *context);
    ~Chatlist();

    size_t getChatCount() const;
    uint32_t getChatId(size_t index) const;
    uint32_t getMsgId(size_t index) const;
    std::shared_ptr<Lot> getSummary(size_t index) const;

private:
    dc_chatlist_t *m_chatlist{nullptr};
};
} // namespace dc

#endif // CHATLIST_H
