#ifndef CHATSTACK_H
#define CHATSTACK_H

#include <QHash>
#include <QList>
#include <QObject>

// todo using qml stack
class ChatStack : public QObject {
    Q_OBJECT
private:
    QList<QString> stack;
    QHash<QString, QVariant> map;

public:
    ChatStack(QObject* par = nullptr);
    ~ChatStack();
    // for view stack
    Q_INVOKABLE void pushView(const QString& url);
    Q_INVOKABLE QString popView();
    Q_INVOKABLE void clearStackView();

    Q_INVOKABLE void pushMap(const QString& key, const QVariant& data);
    Q_INVOKABLE QVariant popMap(const QString& key);
};

#endif // CHATSTACK_H
